FROM alpine:3.7
LABEL maintainer="robert.gauto@gmail.com"

RUN set -x; \
        apk update && \
        apk upgrade && \
        apk add --no-cache \
        python \
        py2-pip && \
        pip install --upgrade pip && \
        mkdir -p /opt/odoo && \
        chmod -R 777 /opt/odoo

COPY entrypoint.sh /
RUN chmod +x entrypoint.sh

COPY ./app ./app

WORKDIR ./app

RUN set -x; \
        pip install -r requirements.txt && \
        python manage.py migrate

VOLUME ["/opt/odoo", "/app/odoo_control"]

EXPOSE 8000

CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]
